Bug 1419694 - Catalog Item Long Descriptions allow the user to override UI styling
Summary: Catalog Item Long Descriptions allow the user to override UI styling
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.2
Assignee: Martin Hradil
QA Contact: Shveta
URL:
Whiteboard: service:catalog
Depends On: 1415235
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-06 19:01 UTC by Satoe Imaishi
Modified: 2017-04-12 14:37 UTC (History)
7 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1415235
Environment:
Last Closed: 2017-04-12 14:37:13 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-03 20:50:58 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/96617ae8e4530a2e9d824d46ca9665c8f47bb07c

commit 96617ae8e4530a2e9d824d46ca9665c8f47bb07c
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Mon Feb 6 15:11:09 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Mar 3 15:48:14 2017 -0500

    Merge pull request #275 from himdel/bz1415235-sanitize-long-description
    
    ServiceTemplate - html-sanitize long_description
    (cherry picked from commit 60fe8750d9f276b4816e4ea97edd3280475960f5)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1419694

 app/assets/javascripts/angular_modules/module_helpers.js |  1 +
 app/assets/javascripts/application.js                    |  1 +
 app/assets/javascripts/components/sanitize.js            |  7 +++++++
 app/views/catalog/_sandt_tree_show.html.haml             |  6 ++++--
 app/views/catalog/_svccat_tree_show.html.haml            | 10 +++++++---
 5 files changed, 20 insertions(+), 5 deletions(-)
 create mode 100644 app/assets/javascripts/angular_modules/module_helpers.js
 create mode 100644 app/assets/javascripts/components/sanitize.js

Comment 3 Shveta 2017-03-23 05:59:30 UTC
Fixed in 5.7.2.0.20170321181409_349f1b1

Comment 5 errata-xmlrpc 2017-04-12 14:37:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.